Bug 1339331 - [abrt] Abort with error: Error reading events from display: Broken pipe
Summary: [abrt] Abort with error: Error reading events from display: Broken pipe
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:32b6fa00021a86ef386371120b1...
: 1349087 1379445 1387780 1398841 1402213 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 17:46 UTC by Karl-Heinz Hoetzel
Modified: 2017-12-12 10:43 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:43:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.56 KB, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details
File: cgroup (242 bytes, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details
File: core_backtrace (2.64 KB, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details
File: dso_list (17.88 KB, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details
File: environ (936 bytes, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details
File: maps (80.78 KB, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details
File: mountinfo (3.46 KB, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details
File: open_fds (1006 bytes, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-05-24 17:46 UTC, Karl-Heinz Hoetzel
no flags Details

Description Karl-Heinz Hoetzel 2016-05-24 17:46:02 UTC
Description of problem:
Started firefox.x86_64  46.0.1-4.fc24 and gnome-shell, gnome-software and evolution-alarm-notify crashed

Version-Release number of selected component:
evolution-3.20.2-1.fc24

Additional info:
reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        /usr/libexec/evolution/evolution-alarm-notify
crash_function: _g_log_abort
executable:     /usr/libexec/evolution/evolution-alarm-notify
global_pid:     2040
kernel:         4.5.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 _g_log_abort at gmessages.c:325
 #3 gdk_event_source_check at gdkeventsource.c:92
 #4 g_main_context_check at gmain.c:3681
 #6 g_main_context_iteration at gmain.c:3901
 #7 g_application_run at gapplication.c:2381

Comment 1 Karl-Heinz Hoetzel 2016-05-24 17:46:08 UTC
Created attachment 1161150 [details]
File: backtrace

Comment 2 Karl-Heinz Hoetzel 2016-05-24 17:46:09 UTC
Created attachment 1161151 [details]
File: cgroup

Comment 3 Karl-Heinz Hoetzel 2016-05-24 17:46:11 UTC
Created attachment 1161153 [details]
File: core_backtrace

Comment 4 Karl-Heinz Hoetzel 2016-05-24 17:46:12 UTC
Created attachment 1161154 [details]
File: dso_list

Comment 5 Karl-Heinz Hoetzel 2016-05-24 17:46:14 UTC
Created attachment 1161155 [details]
File: environ

Comment 6 Karl-Heinz Hoetzel 2016-05-24 17:46:15 UTC
Created attachment 1161156 [details]
File: limits

Comment 7 Karl-Heinz Hoetzel 2016-05-24 17:46:17 UTC
Created attachment 1161157 [details]
File: maps

Comment 8 Karl-Heinz Hoetzel 2016-05-24 17:46:19 UTC
Created attachment 1161158 [details]
File: mountinfo

Comment 9 Karl-Heinz Hoetzel 2016-05-24 17:46:20 UTC
Created attachment 1161159 [details]
File: namespaces

Comment 10 Karl-Heinz Hoetzel 2016-05-24 17:46:22 UTC
Created attachment 1161160 [details]
File: open_fds

Comment 11 Karl-Heinz Hoetzel 2016-05-24 17:46:23 UTC
Created attachment 1161161 [details]
File: proc_pid_status

Comment 12 Karl-Heinz Hoetzel 2016-05-24 17:46:24 UTC
Created attachment 1161162 [details]
File: var_log_messages

Comment 13 Milan Crha 2016-05-25 11:18:20 UTC
Thanks for a bug report. This crashed in gdk (it's part of gtk+), claiming:
> Error reading events from display: Broken pipe

I guess from it that there happened something with the display, maybe when you run gnome-shell, then it restarted it or anything, like when you've switched from X11 to Wayland or vice versa, when the evolution-alarm-notify was still running. Could it be it? In any case, there is nothing from the evolution code in the crashing backtrace, except of the main() itself, and the other threads are also idle, thus I'm moving this to gtk+ for further investigation.

Comment 14 Milan Crha 2016-10-03 09:03:08 UTC
*** Bug 1349087 has been marked as a duplicate of this bug. ***

Comment 15 Milan Crha 2016-10-03 09:03:21 UTC
*** Bug 1379445 has been marked as a duplicate of this bug. ***

Comment 16 Milan Crha 2016-10-25 06:27:27 UTC
*** Bug 1387780 has been marked as a duplicate of this bug. ***

Comment 17 Milan Crha 2016-11-28 07:48:02 UTC
*** Bug 1398841 has been marked as a duplicate of this bug. ***

Comment 18 Adrien Bustany 2016-12-06 14:36:31 UTC
This happened to me when switching to an external display, which matches your suspicions.

Comment 19 Milan Crha 2016-12-07 14:46:07 UTC
*** Bug 1402213 has been marked as a duplicate of this bug. ***

Comment 20 robert fairbrother 2017-05-11 08:07:32 UTC
Similar problem has been detected:

when your computer posts and does not display anything unplug all the power connectors and peripherals from the motherboard and re-connect them after a fiew minuts happened thismorning so i left it doing mem test for a couple of hours and then i schacked the temperature and evrythings running whell but i boot fedora live disk and all these errors

reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        /usr/libexec/evolution/evolution-alarm-notify
crash_function: _g_log_abort
executable:     /usr/libexec/evolution/evolution-alarm-notify
global_pid:     1509
kernel:         4.8.6-300.fc25.i686
package:        evolution-3.22.1-2.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         evolution-alarm-notify killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Fedora End Of Life 2017-11-16 14:06:12 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 22 Fedora End Of Life 2017-12-12 10:43:16 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.